GET /projects/{project}/records/{table}/{id}
Records
GET /projects/{project}/records/{table}/{id}
Returns one row by the table’s single-column primary key.
GET
GET /projects/{project}/records/{table}/{id}
Returns one row by the table’s single-column primary key.
Full request:
Error or alternate response:
Endpoint details
Bearer
pat_... (Project API Token). Keep this token on your backend/server.Project slug. This acts as the Project ID in API paths.
Table name inside the project.
Resource id from the matching list or create response.
true for a successful response and false for an error response.Endpoint-specific response data when
ok is true; null on errors.Error code and message when
ok is false; null on success.Request identifier you can use when troubleshooting a specific API call.
Authentication
Project API Token.Parameters
Path:table required; id required primary-key value.